%define upstream_name    ParseLex
%define upstream_version 2.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generator of lexical analyzers 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PV/PVERD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Parse::Template) >= 3.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(integer)
BuildArch:  noarch

Obsoletes:  perl-Parse-Lex

%description
The Parse::Lex.pm module for perl5 is an object-oriented generator of
lexical analyzers.

This distribution includes Parse::YYLex (writed by Vladimir Alexiev)
a lexer generator that you can use with yacc parsers.

A collection of examples demonstrating various
Parse::Lex/Parse::LevEvent features can be found in the "examples"
directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# make test won't work...
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README VERSION examples
%{perl_vendorlib}/Parse
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.210.0-2.mga3
+ Revision: 371548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 2.210.0-1.mga2
+ Revision: 191256
- update to 2.21

* Fri Jan 21 2011 jquelin <jquelin> 2.200.0-1.mga1
+ Revision: 28719
- mageia rebuild
- imported package perl-ParseLex

